package it.cavallium;

import java.util.List;
import org.slf4j.event.Level;
import reactor.core.publisher.Flux;

public interface LogService {

	Flux<LogEntry> listenUpdates();

	void append(Level level, String message);

	int getMaxSize();
}
